Bug 465848 - libvirt fails to build --without-libvirtd
libvirt fails to build --without-libvirtd
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 13:44 EDT by Robert Buchholz
Modified: 2010-03-16 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 07:54:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full build log (237.54 KB, text/plain)
2008-10-06 13:44 EDT, Robert Buchholz
no flags Details

  None (edit)
Description Robert Buchholz 2008-10-06 13:44:02 EDT
Created attachment 319580 [details]
full build log

Description of problem:
libvirt fails to compile when --without-libvirtd or --without-qemu is selected, because the tests try to compile qemu-specific files unconditionally

Version-Release number of selected component (if applicable):
0.4.6

How reproducible:
Always

Steps to Reproduce:
1. ./configure --without-libvirtd
2. make
  
Actual results:
in tests:
gcc -g -O2 -o qemuxml2argvtest qemuxml2argvtest.o testutilsqemu.o testutils.o -Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls -Wno-sign-compare -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fasynchronous-unwind-tables  ../src/.libs/libvirt_test.a /usr/lib64/libxml2.so -lm /usr/lib64/libgnutls.so -L/usr/lib64 /usr/lib64/libtasn1.so -lz /usr/lib64/libgcrypt.so /usr/lib64/libgpg-error.so /usr/lib64/libsasl2.so -ldl -lcrypt -lresolv ../gnulib/lib/.libs/libgnu.a -lxenstore -lpthread
qemuxml2argvtest.o: In function `testCompareXMLToArgvFiles':
/var/tmp/portage/app-emulation/libvirt-0.4.6/distdir/libvirt-0.4.6/tests/qemuxml2argvtest.c:50: undefined reference to `qemudBuildCommandLine'
collect2: ld returned 1 exit status
Comment 1 Daniel Berrange 2009-01-22 07:54:45 EST
This is now fixed in latest releases. We also have an automated build which runs with the libvirtd and/or  qemu options disabled, so we'll detect this problem if it ever recurrs.

Note You need to log in before you can comment on or make changes to this bug.